Subject: Re: bug#41669: Cross-compiled powerpc64-linux bootstrap-tarballs not reproducible

From: Chris Marusich <[email-masked]>
Date: Sun, 27 Dec 2020 20:23:21 -0800

Leo Le Bouter <[email-masked]> writes:

> I want to have one last attempt at making the binaries reproducible.
>
> Could anyone help adjusting this patch so the package definition's hash
> does not change on other architectures? So it can be proposed for merge
> in master..
>
> Thank you
>
> From e6931a7ebb9cc0681a3211ac38a1c58c7a176481 Mon Sep 17 00:00:00 2001
> From: John Doe <[email-masked]>
> Date: Mon, 28 Dec 2020 03:21:08 +0100
> Subject: [PATCH] gnu: gcc-4.7: Disable parallel compilation on powerpc64*.
>
> * gnu/packages/gcc.scm (gcc-4.7)[arguments]: Conditionally disable
>   parallel compilation on powerpc64*.
> ---
>  gnu/packages/gcc.scm | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
> index 4d5aaa7070..6d32677144 100644
> --- a/gnu/packages/gcc.scm
> +++ b/gnu/packages/gcc.scm
> @@ -204,6 +204,8 @@ where the OS part is overloaded to denote a specific ABI---into GCC
>                                      ,(if stripped? "-g0" "-g")))))
>  
>            #:tests? #f
> +          #:parallel-build? ,(string-prefix? "powerpc64" (or (%current-target-system)
> +                                                              (%current-system)))
>  
>            #:phases
>            (modify-phases %standard-phases

If it's just for the sake of trying one last time, we could just add
--cores=1 to the Guix invocations, or run everything in a single-core
VM.  Wouldn't that have the same effect?

I think you'll probably agree, so I've proactively started another build
on two fresh single-core VMs (using the same procedure I described
earlier, starting from the 1.2.0 installation ISO image).  It'll take a
few days to finish, I'm sure.  Please let me know if you think we need
the patch to run this final experiment.  Otherwise, I'll just report the
results of this latest experiment in a few days' time.

-- 
Chris